import {useGetCurrentUser} from '@/api/auth'
import {User} from '@/models/IUser'

// Deze hook haalt de huidige gebruiker op uit de query cache en geeft deze terug.
// Deze hook is enkel bedoeld om kortere code te schrijven en is niet noodzakelijk.
const useUser = (): User | null => {
  const {data: user} = useGetCurrentUser()
  console.log({user})
  return user ?? null
}

export default useUser
